> For the complete documentation index, see [llms.txt](https://docs.xtrakit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xtrakit.com/overview/inventory/fetch-item.md).

# Fetch Item

## Endpoint

<mark style="color:green;">**`GET`**</mark>` ``https://api.xtrakit.com/api/v1/inventory/items/{item_code}`

## Headers

`Authorization: Bearer API_KEY`

## **Path Parameters**

<table><thead><tr><th>Parameters</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><p>item_code</p><p>string</p></td><td>Required</td><td>The unique ID of the item to retrieve a single item. Should be passed through the URL. <code>(eg: Jce84a50)</code></td></tr></tbody></table>

## Sample Requests <a href="#sample-requests" id="sample-requests"></a>

{% tabs %}
{% tab title="PHP" %}
{% code fullWidth="true" %}

```php
<?php
$item_code = 'YOUR_ITEM_CODE'; // Replace 'YOUR_ITEM_CODE' with your actual item code
$url = 'https://api.xtrakit.com/api/v1/inventory/items/' . $item_code;

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY', // Replace 'API_KEY' with your actual API key
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

?>
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const item_code = 'YOUR_ITEM_CODE'; // Replace 'YOUR_ITEM_CODE' with your actual item code
const config = {
    method: 'get',
    url: `https://api.xtrakit.com/api/v1/inventory/items/{item_code}`,
    headers: {
        'Authorization': 'Bearer API_KEY' // Replace 'API_KEY' with your actual API key
    }
};

axios(config).then(function(response) {
    console.log(JSON.stringify(response.data));
}).catch(function(error) {
    console.error(error);
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

item_code = 'YOUR_ITEM_CODE' # Replace 'YOUR_ITEM_CODE' with your actual item code
url = f'https://api.xtrakit.com/api/v1/inventory/items/{item_code}'

headers = {
    "Authorization": "Bearer API_KEY" # Replace 'API_KEY' with your actual API key
}

try:
    response = requests.get(url, headers=headers)
    print(response.json())
except requests.exceptions.RequestException as e:
    print(e)
```

{% endtab %}
{% endtabs %}

## Sample Response

{% tabs %}
{% tab title="Success" %}

<pre class="language-json"><code class="lang-json">{
    "status": 200,
    "message": "Item found",
    "data": {
        "item": {
            "id": 1,
            "item_code": " Jce84a50",
            "item_name": "HP Laptop",
            "item_images": [
                    {
                        "id": 11,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image1.jpg"
                    },
                    {
                        "id": 14,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image2.jpg"
                    },
                    {
                        "id": 15,
                        "image_url": "https://pub-60b577bb37f54e02b085ea3d4d65a159.r2.dev/items/33123516/image3.jpg"
                    }
                ],
            "category_id": 1,
            "unit": "pcs",
            "description": "High-end gaming laptop with advanced graphics and processing power.",
            "unit_cost": 1000.00,
            "item_price": 1500.00,
            "previous_price": 1400.00,
            "quantity": "20",
            "minimum_qty_alert": "5",
            "online": 1,
            "status": "in-stock",
            "barcode": "123456789",
            "sku": "LAPTOP001",
            "warehouse_id": 2,
            "item_location": "A1",
            "item_slug": "laptop",
            "created_at": "2024-08-04 08:23:45",
            "updated_at": "2024-08-04 02:00:43"
<strong>        },
</strong>        "item-category": [  
            {
                "id": 1,
                "category_name": "Electronics",
                "created_at": "2024-08-04 08:23:45",
                "updated_at": "2024-08-04 02:00:43",
            },
            ...
        ],
    }
}
</code></pre>

{% endtab %}

{% tab title="Error" %}

```json
{
    "status": 401,
    "error": "Authentication invalid"
},

{
    "status": 401,
    "error": "Unauthorized: Invalid API Key"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xtrakit.com/overview/inventory/fetch-item.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
